<?php

declare(strict_types=1);

namespace Dedi\SyliusColissimoPlugin\Colissimo;

class ColissimoParameters
{
    const COLISSIMO_LOGIN = 'dedi_sylius_colissimo_login';
    const COLISSIMO_PASSWORD = 'dedi_sylius_colissimo_password';
    const COLISSIMO_DEFAULT_LOCALE = 'dedi_sylius_colissimo_default_locale';
    const COLISSIMO_COUNTRY_LIST = 'dedi_sylius_colissimo_country_list';
    const COLISSIMO_COUNTRY = 'dedi_sylius_colissimo_country';
    const COLISSIMO_PREPARATION_TIME = 'dedi_sylius_colissimo_preparation_time';
    const COLISSIMO_URL_SERVER = 'dedi_sylius_colissimo_url_colissimo';
    const COLISSIMO_SHIPPING_METHOD_CODE = 'dedi_sylius_colissimo_shipping_method_code';

    const DEFAULT_LOCALE = 'fr';
    const DEFAULT_COUNTRY_LIST = 'FR';
    const DEFAULT_COUNTRY = 'FR';
    const DEFAULT_PREPARATION_TIME = 1;
    const DEFAULT_URL_COLISSIMO = 'https://ws.colissimo.fr';
    const DEFAULT_URL_COLISSIMO_AUTH = 'https://ws.colissimo.fr/widget-point-retrait/rest/authenticate.rest';
    const DEFAULT_METHOD_CODE = 'colissimo_relay';
}
