<?php

declare(strict_types=1);

namespace Dedi\SyliusColissimoPlugin\Domain\ColissimoRelay\UseCase\GetColissimoRelayToken;

class GetColissimoRelayTokenInput implements GetColissimoRelayTokenInputInterface
{
    private $login;

    private $password;

    public function __construct(string $login, string $password)
    {
        $this->login = $login;
        $this->password = $password;
    }

    public function getLogin(): string
    {
        return $this->login;
    }

    public function getPassword(): string
    {
        return $this->password;
    }
}
